﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DrawString
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new document
            PdfDocument doc = new PdfDocument();
            //Add a page
            PdfPage page = doc.Pages.Add();

            //Create Pdf graphics for the page
            PdfGraphics g = page.Graphics;

            //Create a solid brush
            PdfBrush brush = new PdfSolidBrush(Color.Black);

            //Set the font
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 10f, PdfFontStyle.Bold);

            g.DrawRectangle(new PdfPen(PdfBrushes.Gray, 1), PdfBrushes.White, new RectangleF(100, 200, 100, 50));

            //Draw the text
            g.DrawString("Hello world!", font, brush, new PointF(120, 220));

            //Save and close the document
            doc.Save("Sample.pdf");
            doc.Close(true);

            System.Diagnostics.Process.Start("Sample.pdf");
        }
    }
}
